require "player"
require "menu"
require "gamestate"
require "enemy"
function love.load()
	font = love.graphics.newFont("data/fonts/uni05_53.ttf",16)
	love.graphics.setFont(font)
	player.load()
	states.load()
	menu.load()
	enemy.load()
end

function love.update(dt)
	if states.active[1] == true
	then MENU_UPDATE(dt)
	end
	if states.active[2] == true
	then PLAYER_UPDATE(dt)
		ENEMY_UPDATE(dt)
	end
end

function love.draw()
	if states.active[1] == true
	then love.graphics.setColorMode("combine")
		 MENU_DRAW()
		 love.graphics.setColorMode("replace")
	end
	if states.active[2] == true
	then
		love.graphics.rectangle('fill',11,11,778,519)
		borders() 
		PLAYER_DRAW()
		ENEMY_DRAW()
	end
end

function screenText()
	love.graphics.print(math.floor(player.x),10, 40)
	love.graphics.print(math.floor(player.y),40,40)
	local fps = love.timer.getFPS()
	love.graphics.print(tostring(fps),10,30)
end

function borders()
	love.graphics.setColor(255,255,255)
	love.graphics.line(10,10,790,10)
	love.graphics.line(790,10,790,530)
	love.graphics.line(790,530,10,530)
	love.graphics.line(10,530,10,10)
	love.graphics.line(202.5,544.5,582.5,544.5)
	love.graphics.line(582.5,545.5,582.5,565.5)
	love.graphics.line(582.5,565.4,202.5,565.5)
	love.graphics.line(202.5,565.5,202.5,544.5)
	love.graphics.setColor(170,170,170)
	love.graphics.rectangle('fill',203.5,546,378.5,17.5)
end