require "gamestate"
player = {}

function player.load()
	player.x = 100
	player.y = 100
	player.w = 36
	player.h = 46
	player.s = 2000
	player.xvel = 0
	player.yvel = 0
	player.friction = 4
	player.imgr = love.graphics.newImage("data/images/Marine.png")
	player.imgl = love.graphics.newImage("data/images/MarineL.png")
	player.imgr:setFilter("nearest","nearest")
	player.imgl:setFilter("nearest","nearest")
	player.dir = "right"
end

function player.physics(dt)
	player.x = player.x + player.xvel * dt
	player.y = player.y + player.yvel * dt
	player.xvel = player.xvel * (1 - math.min(dt * player.friction, 1))
	player.yvel = player.yvel * (1 - math.min(dt * player.friction, 1))
end

function player.move(dt)
	if love.keyboard.isDown('a') and player.xvel > - player.s
	then player.xvel = player.xvel - player.s * dt
		 player.dir = "left"
	end
	if love.keyboard.isDown('d') and player.xvel < player.s
	then player.xvel = player.xvel + player.s * dt
		 player.dir = "right"
	end
	if love.keyboard.isDown('w') and player.yvel > -player.s
	then player.yvel = player.yvel - player.s * dt
	end
	if love.keyboard.isDown('s') and player.yvel < player.s
	then player.yvel = player.yvel + player.s * dt
	end
	if love.keyboard.isDown('escape')
	then states.active[1] = true
		  states.active[2] = false
		  player.x = 100
		  player.y = 100
		  player.xvel = 0
		  player.yvel = 0
		  enemy.col = 0
		  box.count = 0
	end
end

function player.bounds(dt)
	if player.x < 10
	then player.xvel = -player.xvel + dt * player.s
	end
	if player.x > 790 - player.w
	then player.xvel = -player.xvel - dt * player.s
	end
	if player.y < 10
	then player.yvel = -player.yvel + dt * player.s
	end
	if player.y > 530 - player.h
	then player.yvel = -player.yvel - dt * player.s
	end
end

function player.draw()
	if player.dir == "right" then
	love.graphics.draw(player.imgr,player.x,player.y,0,2,2)
	else love.graphics.draw(player.imgl,player.x,player.y,0,2,2)
	end
end

function PLAYER_UPDATE(dt)
	player.physics(dt)
	player.move(dt)
	player.bounds(dt)
end

function PLAYER_DRAW()
	player.draw()
end

